/*  Capsim (r) Text Mode Kernel (TMK) Block Library (Blocks)
 *  Copyright (C) 2002-2017  Silicon DSP Corporation
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    http://www.silicondsp.com
 *    Silicon DSP  Corporation
 *    Las Vegas, Nevada
 */




/* Initialization function */

/* will call generate_gf.c and gen_poly.c functions  */


#include "rs.h"
#include "rsh.h"

void init_rs(
gf Alpha_to[], // index->polynomial form conversion table, size: NN+1.
gf Index_of[], // Polynomial->index form conversion table,size: NN+1.
gf Gg[],        // Generator polynomial g(x), size: NN-KK+1.
int Pp[]
)

{
	generate_gf(Alpha_to,Index_of,Pp);
	gen_poly(Alpha_to,Index_of,Gg);

}

