
# topology file:  rschanneltest.t

#--------------------------------------------------- 
# Title: ------   
# Author: ------   
# Date: ------   
# Description: ------   
#--------------------------------------------------- 

inform title ------  
inform author ------  
inform date ------  
inform descrip ------  

arg -1 (none)

param int 10000    num_of_samples   "total number of samples to output"
param int 12    initialize   "Initialization for shift register"
param float 1    pace_rate   "pace rate to determine how many samples to output"
param int 128    samples_first_time   "number of samples on the first call if paced"
block bdata0 bdata

block fti0 fti

block rsencoder0 rsencoder

param int 3    MM   " Bits per Symbol"
block sym2bits0 sym2bits

param int 3    MM   " Bits per Symbol "
block bits2sym0 bits2sym

param int 0    no_eras   " Total number of erasure "
block rsdecoder0 rsdecoder

block itf0 itf

param int 0    ignore   "Number of samples to ignore for final error tally"
param int 30000    err_msg   "Index after which each error is printed to terminal"
param file ecount.dat    fileName   "File name to append results"
block ecountfap0 ecountfap

param int 128    npts   "Number of points in each plot (dynamic window size)"
param int 0    skip   "Points to skip before first plot"
param file plot    title   "Plot title"
param file Samples    x_axis   "X Axis label"
param file Y    y_axis   "Y-Axis label"
param int 1    plotStyleParam   "Plot Style: 1=Line,2=Points,5=Bar Chart"
param int 1    control   "Control: 1=On, 0=Off"
param int 0    mode   "0=Static,1=Dynamic"
param int 1    samplingRate   "Sampling Rate"
block prbplot0840 plot

connect bdata0 0 fti0 0  	{bdata0:NULL:NULL,fti0:x:float}
connect bdata0 1 ecountfap0 1  	{bdata0:NULL:NULL,ecountfap0:x:float}
connect fti0 0 rsencoder0 0  	{fti0:NULL:NULL,rsencoder0: data : int }
connect rsencoder0 0 sym2bits0 0  	{rsencoder0: bout : int ,sym2bits0: x : int }
connect sym2bits0 0 bits2sym0 0  	{sym2bits0: y : int ,bits2sym0: x : float }
connect bits2sym0 0 rsdecoder0 0  	{bits2sym0:NULL:NULL,rsdecoder0: data : int }
connect rsdecoder0 0 itf0 0  	{rsdecoder0: dout : int ,itf0:x:int}
connect itf0 0 ecountfap0 0  	{itf0:NULL:NULL,ecountfap0:w:float}
connect ecountfap0 0 prbplot0840 0  	

