

// setup for (7,3) code
#define MM  3		// RS code over GF(2**MM) - change to suit 
#define KK 3      //  last time it was 239.     
                    //  industial standard is 223, KK = number of information symbols 
                    // For KK=243, the first 147 bytes are zeros, this is
                    // used to generate RS coding of (96,108,6).
                    // at the output of RS encoder, dump the first 147
                    // zero bytes and then generate 108 bytes.
                    // The correction ability in this case is up to 6 bytes.


#define	NN ((1 << MM) - 1)

#if (KK >= NN)
#error "KK must be less than 2**MM - 1"
#endif

#if (MM <= 8)
typedef unsigned char dtype;
#else
typedef unsigned int dtype;
#endif

typedef int gf;
#define B0	1
#define A0	(NN)

gf modnn(int x);

