all:libblock.a 

bits2sym.c:bits2sym.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar bits2sym.s $(CAPSIM)/TOOLS/blockgen.xsl>bits2sym.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a bits2sym.s

bits2sym.o:bits2sym.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include bits2sym.c

rsdecoder.c:rsdecoder.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar rsdecoder.s $(CAPSIM)/TOOLS/blockgen.xsl>rsdecoder.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a rsdecoder.s

rsdecoder.o:rsdecoder.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include rsdecoder.c

rsencoder.c:rsencoder.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar rsencoder.s $(CAPSIM)/TOOLS/blockgen.xsl>rsencoder.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a rsencoder.s

rsencoder.o:rsencoder.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include rsencoder.c

sym2bits.c:sym2bits.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar sym2bits.s $(CAPSIM)/TOOLS/blockgen.xsl>sym2bits.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a sym2bits.s

sym2bits.o:sym2bits.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include sym2bits.c

zdummy.c:zdummy.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar zdummy.s $(CAPSIM)/TOOLS/blockgen.xsl>zdummy.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a zdummy.s

zdummy.o:zdummy.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include zdummy.c

libblock.a:bits2sym.o rsdecoder.o rsencoder.o sym2bits.o zdummy.o 
	ar -r libblock.a bits2sym.o rsdecoder.o rsencoder.o sym2bits.o zdummy.o 
	ranlib libblock.a
