 #
 # gnuplot script for plotting the BER for Reed Solomon Error Correcting versus nor Error Correcting 
 # or 3 column BER comparison with log y axis and SNR as x axis.
 #
 # Author: Sasan Ardalan
 # http://www.ccdsp.org
 # Date: Aprile 6, 2018
 #
 #
   
set logscale y 10
set xlabel SNR, dB
set xlabel 'SNR, dB'
set ylabel 'BER'
set title 'BER Reed Solomon Error Correction Versus None'
set grid
set format y  '10^{%L}'
set grid myticsset 
set grid mytics 
set output 'ber.png'  
plot 'bersnr2c.txt' using 1:2 with lines, '' using 1:3 with lines

